LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XAsyncJob Interface Referencepublished

specifies a job which must be executed asynchronously More...

`import"XAsyncJob.idl";`

Inheritance diagram for XAsyncJob:

## Public Member Functions
void | executeAsync ([in] sequence< com::sun::star::beans::NamedValue > Arguments, [in] XJobListener Listener) raises ( com::sun::star::lang::IllegalArgumentException )
| executes the job asynchronously More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a job which must be executed asynchronously

Instead of XJob the implementation of this interface must be aware, that execution can be made real asynchronous (e.g. by using threads). Because the environment wish to have creation and using of threads under control, it's not allowed for a real job implementation to use such mechanism by itself. The outside code decide, if it's possible and how it can be made asynchronous. In some special cases it can be, that asynchronous jobs will be executed synchronously.

See also
  XJob

Developers Guide
  WritingUNO - Jobs - Implementation

## Member Function Documentation

## ◆ executeAsync()

void executeAsync | ( | [in] sequence< com::sun::star::beans::NamedValue > | Arguments,
|  | [in] XJobListener | Listener
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

executes the job asynchronously

Parameters

  Arguments | are arguments for executing the job. Their semantics is completely implementation dependent. Usually, a concrete implementation of a job specifies in its service descriptions which parameters are allowed (or expected). This values are persistent by the configuration of theJobExecutor which use this asynchronous job. It's possible to write it back by called listener function XJobListener::jobFinished().
  Listener | specifies a listener which should be notified on events. May be `NULL`.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if some of given arguments doesn't fill out the service specification or was corrupt so the service couldn't work correctly

The documentation for this interface was generated from the following file:

- com/sun/star/task/XAsyncJob.idl